// Copyright 2024 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

package log

import (
	"go.wit.com/dev/davecgh/spew"
)

func Spew(b any, a ...any) {
	if !SPEW.Ok() {
		return
	}
	if !SPEW.b {
		return
	}

	switch b.(type) {
	case bool:
		if !b.(bool) {
			return
		}
		realPrintln("SPEW:", spew.Sdump(a...))
	case LogFlag:
		var f LogFlag
		f = b.(LogFlag)
		if !f.b {
			return
		}
		realPrintln("SPEW:", spew.Sdump(a...))
	default:
		realPrintln("SPEW b:", spew.Sdump(b))
		realPrintln("SPEW a:", spew.Sdump(a...))
	}
	// realPrintln("SPEW:", spew.Sdump(a...))
	/*
		scs := spew.ConfigState{Indent: "\t", MaxDepth: 1}
		// Output using the ConfigState instance.
		v := map[string]int{"one": 1}
		scs.Printf("v: %v\n", v)
		scs.Dump(v)
		scs.Dump(a)
	*/
}
